## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:        Power Management Service
Name:           upower
Version:        1.90.7
Release:        %autorelease
License:        GPL-2.0-or-later
URL:            http://upower.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/upower/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  meson
BuildRequires:  git
BuildRequires:  gettext
BuildRequires:  libgudev1-devel
%define idevice disabled
%ifnarch s390 s390x
%if ! 0%{?rhel}
%define idevice enabled
BuildRequires:  libimobiledevice-devel
%endif
%endif
BuildRequires:  glib2-devel >= 2.6.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  polkit-devel
BuildRequires:  systemd

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       udev

%description
UPower (formerly DeviceKit-power) provides a daemon, API and command
line tools for managing power devices attached to the system.

%package libs
Summary: Client libraries for UPower
Requires: gobject-introspection
Recommends: %{name}%{?_isa} = %{version}-%{release}
Conflicts: %{name} < 0.99.20-4

%description libs
Client libraries for UPower.

%package devel
Summary: Headers and libraries for UPower
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Headers and libraries for UPower.

%package devel-docs
Summary: Developer documentation for for libupower-glib
Requires: %{name}-libs = %{version}-%{release}
BuildArch: noarch

%description devel-docs
Developer documentation for for libupower-glib.

%prep
%autosetup -n %{name}-v%{version} -p1 -S git

%build
%meson \
  -Didevice=%{idevice} \
  -Dman=true \
  -Dgtk-doc=true \
  -Dintrospection=enabled

%meson_build

%install
%meson_install

%find_lang upower

%ldconfig_scriptlets

%post
%systemd_post upower.service

%preun
%systemd_preun upower.service

%postun
%systemd_postun_with_restart upower.service

%files -f upower.lang
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS AUTHORS HACKING.md README.md
%{_datadir}/dbus-1/system.d/*.conf
%{_udevrulesdir}/*.rules
%{_udevhwdbdir}/*.hwdb
%ghost %dir %{_localstatedir}/lib/upower
%dir %{_sysconfdir}/UPower
%config %{_sysconfdir}/UPower/UPower.conf
%{_bindir}/*
%{_libexecdir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*.service
%{_unitdir}/*.service
%{_datadir}/installed-tests/upower/upower-integration.test
%{_datadir}/polkit-1/actions/org.freedesktop.upower.policy
%{_datadir}/zsh

%files libs
%license COPYING
%{_libdir}/libupower-glib.so.3{,.*}
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/up-*.h
%{_includedir}/libupower-glib/upower.h

%files devel-docs
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*

%changelog
## START: Generated by rpmautospec
* Wed Jan 15 2025 Kate Hsuan <hpa@redhat.com> - 1.90.7-1
- Update to the upstream release 1.90.7

* Fri Oct 04 2024 Kate Hsuan <hpa@redhat.com> - 1.90.6-3
- Fix device update issue

* Thu Oct 03 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.90.6-2
- Rebuild for libimobiledevice update

* Tue Sep 24 2024 Kate Hsuan <hpa@redhat.com> - 1.90.6-1
- Update to upstream release 1.90.6

* Sat Sep 14 2024 Kate Hsuan <hpa@redhat.com> - 1.90.5-2
- Add polkit dependency and fix intergration test filename

* Sat Sep 14 2024 Kate Hsuan <hpa@redhat.com> - 1.90.5-1
- Updated to upstream release 1.90.5
- Support battery charging limit

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.90.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 11 2024 Kate Hsuan <hpa@redhat.com> - 1.90.4-2
- Fix test dependency

* Wed Apr 10 2024 Leigh Scott <leigh123linux@gmail.com> - 1.90.4-1
- Update to 1.90.4

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.90.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 28 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.90.2-3
- Rebuilt for libimobiledevice and libplist soname bump

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.90.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Bastien Nocera <hadess@hadess.net> - 1.90.2-1
- Update to 1.90.2

* Tue Jul 04 2023 Bastien Nocera <hadess@hadess.net> - 1.90.1-1
- Update to 1.90.1

* Wed Feb 22 2023 Richard Hughes <richard@hughsie.com> - 0.99.20-5
- migrated to SPDX license

* Sun Feb 19 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.99.20-4
- Separate libs package

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Benjamin Berg <bberg@redhat.com> - 0.99.20-1
- Update to 0.99.20

* Thu Jun 09 2022 Benjamin Berg <bberg@redhat.com> - 0.99.19-1
- Update to 0.99.19

* Thu Jun 09 2022 Benjamin Berg <bberg@redhat.com> - 0.99.14-6
- Remove sqlite build dependency

* Thu Jun 09 2022 Benjamin Berg <bberg@redhat.com> - 0.99.14-5
- Remove unused commit global

* Thu Jun 09 2022 Benjamin Berg <bberg@redhat.com> - 0.99.14-4
- Remove ancient Obsoletes: line

* Thu Jun 09 2022 Benjamin Berg <bberg@redhat.com> - 0.99.14-3
- Build linux backend on s390

* Mon Feb 07 2022 Bastien Nocera <bnocera@redhat.com> - 0.99.14-1
+ upower-0.99.14-1
- Update to 0.99.14

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 17 2021 Bastien Nocera <bnocera@redhat.com> - 0.99.13-1
+ upower-0.99.13-1
- Update to 0.99.13

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Bastien Nocera <bnocera@redhat.com> - 0.99.12-1
+ upower-0.99.12-1
- Update to 0.99.12

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.99.11-10
- Rebuilt for updated systemd-rpm-macros
  See https://pagure.io/fesco/issue/2583.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 19 2021 Bastien Nocera <bnocera@redhat.com> - 0.99.11-8
+ upower-0.99.11-8
- Remove USB dependency

* Tue Nov 24 2020 Bastien Nocera <bnocera@redhat.com> - 0.99.11-7
+ upower-0.99.11-7
- Disable libimobiledevice integration on RHEL

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 2020 Bastien Nocera <bnocera@redhat.com> - 0.99.11-5
+ upower-0.99.11-5
- Use upstreamed libplist patch
- Add support for iPhone XS,XR

* Tue Jun 16 2020 Adam Williamson <awilliam@redhat.com> - 0.99.11-4
- Fix imobiledevice support with new libplist, rebuild for soname bumps

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Sep  4 2019 Christian Kellner <ckellner@redhat.com> - 0.99.11-2
- Add systemd service snippets
- Use macros for _unitdir and _udevrulesdir
- Mark _datadir/gtk-doc as directory

* Tue Sep  3 2019 Christian Kellner <ckellner@redhat.com> - 0.99.11-1
- New upstream release 0.99.11
- Intltool has been replaced by gettext
- D-Bus configuration moved from sysconfdir to datadir
- Systemd is creating /var/lib/upower, so 'ghost' the dir

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 20 2019 Christian Kellner <ckellner@redhat.com> - 0.99.10-1
- New upstream release with the following changes:
- Set 'pending-charge' for DisplayDevice if at least one battery is in
  the 'pending-charge' state
- Map pending-charge to fully-charged when charge is 100%

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 20 2018 Christian Kellner <ckellner@redhat.com> - 0.99.9-1
- New upstream release
- Drop unneccessary patch to fix udev events access
- Fix daemon lockdown issues (keyboard backlight, AC status changes)
- Out-of-tree build fixes and documentation fixes

* Sun Oct 07 2018 Kalev Lember <klember@redhat.com> - 0.99.8-3
- Backport an upstream fix for upower not having access to udev events

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Bastien Nocera <bnocera@redhat.com> - 0.99.8-1
+ upower-0.99.8-1
- Update to 0.99.8

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.99.7-2
- Switch to %%ldconfig_scriptlets

* Tue Nov 28 2017 Bastien Nocera <bnocera@redhat.com> - 0.99.7-1
+ upower-0.99.7-1
- Update to 0.99.7
- Add Bluetooth LE battery support
- Fix critical action after resume from hibernate

* Mon Sep 11 2017 Richard Hughes <rhughes@redhat.com> - 0.99.6-1
- New upstream release
- Detect joysticks as gaming input devices
- Fix crash when '@' is present in the device name
- Grab the model name from device if unavailable from battery

* Thu Aug 24 2017 Benjamin Berg <bberg@redhat.com> - 0.99.5-4
- Add patch to not correctly close the inhibitor FD

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Richard Hughes <rhughes@redhat.com> - 0.99.5-1
- New upstream release
- Add BatteryLevel property for devices with a finite number of power levels
- Add support for pausing and resuming of the daemon poll
- Do not spin in a loop when /proc/timer_stats cannot be written
- Fix reading and writing the keyboard brightness level
- Get a serial number for device batteries
- Refresh devices after waking up from sleep
- Lower initial power usage when iDevice isn't accessible

* Tue Feb 14 2017 Dan Horák <dan[at]danny.cz> - 0.99.4-4
- Add explicit BR:systemd to fix s390(x) build

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 14 2016 Bastien Nocera <bnocera@redhat.com> 0.99.4-2
- Fix getting the critical action

* Tue Feb 16 2016 Richard Hughes <rhughes@redhat.com> - 0.99.4-1
- New upstream release
- Add support for Logitech G700s/G700 Gaming Mouse
- Change the default low battery policy to percentage

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Richard Hughes <rhughes@redhat.com> - 0.99.3-1
- New upstream release
- Fix several crashes
- Properly detect bluetooth mice and keyboards that are HID devices
- Support Logitech Unifying in Linux 3.19
- Work-around broken battery on the Onda v975w

* Wed Mar 18 2015 Rex Dieter <rdieter@fedoraproject.org> - 0.99.2-4
- pull in upstream crash fix (#1128390)
- use %%autosetup
- -devel: tighten subpkg dep via %%_isa
- -devel-docs: fix Summary

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 0.99.2-3
- Rebuilt for Fedora 23 Change
  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code

* Wed Feb 11 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.2-2
- Rebuild (libimobiledevice)
- Use %%license

* Thu Dec 18 2014 Richard Hughes <rhughes@redhat.com> - 0.99.2-1
- New upstream release
- Fix various memory and reference leaks
- Respect the CriticalPowerAction config option
- Set update-time on the aggregate device
- Update display device when battery is removed

* Sun Nov 16 2014 Kalev Lember <kalevlember@gmail.com> - 0.99.1-3
- Obsolete compat-upower09 from rhughes-f20-gnome-3-12 copr

* Wed Oct 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.1-2
- Rebuild for libimobiledevice 1.1.7

* Mon Aug 18 2014 Richard Hughes <rhughes@redhat.com> - 0.99.1-1
- New upstream release
- Create the history directory at runtime
- Do not log a critical warning when using _set_object_path_sync()
- Fix API doc for up_client_get_on_battery()
- Fix possible UpHistoryItem leak on failure
- Fix segfault on getting property when daemon is not running
- Fix shutdown on boot on some machines
- Fix small memleak on startup with Logitech devices
- Free the obtained device list array after use
- Remove IsDocked property
- Remove unused polkit dependency

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.99.0-6
- Rebuilt for gobject-introspection 1.41.4

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May  5 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.0-4
- Rebuild for libimobiledevice 1.1.6

* Mon Mar 17 2014 Richard Hughes <rhughes@redhat.com> - 0.99.0-3
- Split out a new devel-docs subpackage to fix multilib_policy=all installs.
- Resolves: #1070661

* Fri Nov 08 2013 Bastien Nocera <bnocera@redhat.com> 0.99.0-2
- Fix crash when D-Bus isn't available

* Tue Oct 29 2013 Richard Hughes <rhughes@redhat.com> - 0.99.0-1
- New upstream release
- This version contains major API changes and bumps library soname.
- Add DisplayDevice composite battery
- Add WarningLevel and IconName properties to all devices
- Clamp percentage for overfull batteries
- Emit PropertiesChanged signals
- Enforce critical battery policy on the daemon side
- Reduce client-side and daemon-side wake-ups
- Register objects on the bus once they've been setup
- Remove DeviceChanged and Changed signals
- Remove OnLowBattery property (use WarningLevel instead)
- Remove QoS support
- Remove battery recall support

* Fri Oct 18 2013 Richard Hughes <rhughes@redhat.com> - 0.9.23-1
- New upstream release
- Add missing dbus-glib-1 to private requires
- Avoid trying to close fd that wasn't opened
- Disable Watts-Up devices by default
- Don't guess discharging state for devices
- Fix crasher calling _about_to_sleep_sync()
- Really don't overwrite retval with prop values
- Update and correct Toshiba recall list

* Wed Oct 09 2013 Bastien Nocera <bnocera@redhat.com> 0.9.22-1
- Update to 0.9.22
- Fixes incorrect reporting of some properties
- Fixes battery values for Logitech unifying devices
- Bluetooth input devices support
- Device name fixes

* Fri Jul 26 2013 Richard Hughes <rhughes@redhat.com> - 0.9.21-1
- New upstream release
- Add support for Logitech Wireless (NonUnifying) devices
- Allow clients to call org.freedesktop.DBus.Peer
- Update the upower man page with all the current options
- Use PIE to better secure installed tools and also use full RELRO in the daemon

* Thu Apr 25 2013 Matthias Clasen <mclasen@redhat.com> - 0.9.20-3
- Enabled hardened build
- Don't use /lib/udev in file paths

* Tue Mar 19 2013 Matthias Clasen <mclasen@redhat.com> - 0.9.20-2
- Rebuild

* Mon Mar 11 2013 Richard Hughes <rhughes@redhat.com> - 0.9.20-1
- New upstream release
- Add a --enable-deprecated configure argument to remove pm-utils support
- Deprecate running the powersave scripts
- Factor out the Logitech Unifying support to support other devices
- Require unfixed applications to define UPOWER_ENABLE_DEPRECATED
- Fix batteries which report current energy but full charge
- Fix several small memory leaks

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 02 2013 Richard Hughes <rhughes@redhat.com> - 0.9.19-1
- New upstream release
- Add a Documentation tag to the service file
- Add support for Logitech Unifying devices
- Do not continue to poll if /proc/timer_stats is not readable
- Fix device matching for recent kernels
- Resolves: #848521

* Wed Oct 24 2012 Dan Horák <dan[at]danny.cz> - 0.9.18-2
- the notify-upower script is not installed with dummy backend on s390(x)

* Wed Aug 08 2012 Richard Hughes <rhughes@redhat.com> - 0.9.18-1
- New upstream release
- Use systemd for suspend and hibernate

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

## END: Generated by rpmautospec
